petsc-3.12.4 2020-02-04
Report Typos and Errors

# TSThetaSetTheta

Set the abscissa of the stage in (0,1].

### Synopsis

    #include "petscts.h"
    PetscErrorCode  TSThetaSetTheta(TS ts,PetscReal theta)

Not Collective

### Input Parameter

| ts | - timestepping context
| theta | - stage abscissa

### Options Database

-ts_theta_theta <theta> -

### See Also

TSThetaGetTheta()

### Level

Intermediate

### Location

src/ts/impls/implicit/theta/theta.c

### Examples

src/ts/examples/tutorials/ex17.c.html

### Implementations

TSThetaSetTheta_Theta in src/ts/impls/implicit/theta/theta.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages